%define name kbudget
%define version 0.6
%define release 2mdk

Summary: 	KBudget is a budgeting and personal finance program for KDE
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Office
Source0: 	%{name}-%{version}.tar.bz2
URL: 	    http://www.garandnet.net/kbudget/
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
KBudget is a budgeting and personal finance program for KDE. 
It requires KDE 3 and is currently in early development.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} \
            --disable-rpath

%make

%install
rm -rf %{buildroot}
#make prefix=%{buildroot}%{_prefix} install
%makeinstall
%find_lang kbudget

%{__cp} %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
%{__cp} %{buildroot}%{_iconsdir}/crystalsvg/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
mkdir -p %{buildroot}%{_liconsdir}
%{__cp} %{buildroot}%{_iconsdir}/crystalsvg/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png

#mkdir -p %{buildroot}%{_datadir}/mimelnk/application/
#%{__cp} %{buildroot}%{_iconsdir}/hicolor/22x22/apps/%{name}.png %{buildroot}%{_datadir}/mimelnk/application/%{name}.png

install -m 755 -d %buildroot%{_menudir}

cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="/usr/bin/kbudget"\
needs="x11"\
icon="kbudget.png"\
section="Applications/Finances"\ 
title="KBudget"\
longtitle="KBudget is a budgeting and personal finance program for KDE"
EOF

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus


%files -f kbudget.lang
%defattr(-, root, root, 0755)
%doc README AUTHORS
%_bindir/%{name}

# regular icons
#%_iconsdir/hicolor/16x16/apps/%{name}.png
#%_iconsdir/hicolor/22x22/apps/%{name}.png
#%_iconsdir/hicolor/32x32/apps/%{name}.png
#%_iconsdir/hicolor/48x48/apps/%{name}.png

# copy regular icons to %_icondir
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

# mimetype icon
#%_datadir/mimelnk/application/%name.png

# mimetype icon for hicolor theme
#%dir %_iconsdir/hicolor/16x16/mimetypes
#%_iconsdir/hicolor/16x16/mimetypes/mime_%{name}.png
#%dir %_iconsdir/hicolor/22x22/mimetypes
#%_iconsdir/hicolor/22x22/mimetypes/mime_%{name}.png
#%dir %_iconsdir/hicolor/32x32/mimetypes
#%_iconsdir/hicolor/32x32/mimetypes/mime_%{name}.png
#%dir %_iconsdir/hicolor/48x48/mimetypes
#%_iconsdir/hicolor/48x48/mimetypes/mime_%{name}.png

%_iconsdir/crystalsvg/128x128/apps/*
%_iconsdir/crystalsvg/128x128/mimetypes/*
%_iconsdir/crystalsvg/16x16/apps/*
%_iconsdir/crystalsvg/16x16/mimetypes/*
%_iconsdir/crystalsvg/22x22/apps/*
%_iconsdir/crystalsvg/22x22/mimetypes/*
%_iconsdir/crystalsvg/32x32/apps/*
%_iconsdir/crystalsvg/32x32/mimetypes/*
%_iconsdir/crystalsvg/48x48/apps/*
%_iconsdir/crystalsvg/48x48/mimetypes/*
%_iconsdir/crystalsvg/scalable/apps/*
%_iconsdir/crystalsvg/scalable/mimetypes/*

%_datadir/applnk/Applications/%{name}.desktop
%_datadir/mimelnk/application/x-%{name}.desktop
%dir %_datadir/apps/%{name}
%_datadir/apps/%{name}/*.rc

# other html doc
%dir %_defaultdocdir/HTML/en/kbudget
%_defaultdocdir/HTML/en/kbudget/*

%_menudir/%{name}

%changelog
* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Fix distlint

* Wed Dec 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Sun Oct 15 2003 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 0.5-2mdk 
- libdir fix

* Sun Sep 23 2003 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 0.5-1mdk 
- Initial release
